Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RangeSliceCommand

    java.lang.Object
      org.apache.cassandra.db.RangeSliceCommand

All Implemented Interfaces:
  MessageProducer, IReadCommand

    public class RangeSliceCommand

extends java.lang.Object
implements MessageProducer, IReadCommand

Field Summary
`java.lang.String` | `column_family`
`boolean` | `isPaging`
`java.lang.String` | `keyspace`
`boolean` | `maxIsColumns`
`int` | `maxResults`
`SlicePredicate` | `predicate`
`AbstractBounds<RowPosition>` | `range`
`java.util.List<IndexExpression>` | `row_filter`
`java.nio.ByteBuffer` | `super_column`

Constructor Summary
`RangeSliceCommand(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults)`
`RangeSliceCommand(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults, boolean maxIsColumns, boolean isPaging)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, SlicePredicate predicate, AbstractBounds<RowPosition> range, int maxResults)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, SlicePredicate predicate, AbstractBounds<RowPosition> range, int maxResults, boolean maxIsColumns, boolean isPaging)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, SlicePredicate predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, java.nio.ByteBuffer super_column, SlicePredicate predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults, boolean maxIsColumns, boolean isPaging)`

Method Summary
`java.lang.String` | `getKeyspace()`
`Message` | `getMessage(java.lang.Integer version)`
`static RangeSliceCommand` | `read(Message message)`
`IndexScanCommand` | `toIndexScanCommand()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### column_family

    public final java.lang.String column_family

### super_column

    public final java.nio.ByteBuffer super_column

### predicate

    public final SlicePredicate predicate

### row_filter

    public final java.util.List<IndexExpression> row_filter

### range

    public final AbstractBounds<RowPosition> range

### maxResults

    public final int maxResults

### maxIsColumns

    public final boolean maxIsColumns

### isPaging

    public final boolean isPaging

Constructor Detail

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String column_family,
                             java.nio.ByteBuffer super_column,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             int maxResults)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String column_family,
                             java.nio.ByteBuffer super_column,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             int maxResults,
                             boolean maxIsColumns,
                             boolean isPaging)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             ColumnParent column_parent,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> row_filter,
                             int maxResults)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             ColumnParent column_parent,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> row_filter,
                             int maxResults,
                             boolean maxIsColumns,
                             boolean isPaging)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String column_family,
                             java.nio.ByteBuffer super_column,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> row_filter,
                             int maxResults)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String column_family,
                             java.nio.ByteBuffer super_column,
                             SlicePredicate predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> row_filter,
                             int maxResults,
                             boolean maxIsColumns,
                             boolean isPaging)

Method Detail

### getMessage

    public Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Specified by:
    `getMessage` in interface `MessageProducer`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### read

    public static RangeSliceCommand read(Message message)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getKeyspace

    public java.lang.String getKeyspace()

  Specified by:
    `getKeyspace` in interface `IReadCommand`

### toIndexScanCommand

    public IndexScanCommand toIndexScanCommand()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation